package org.rcisoft.business.bdiscuss.service;

import org.rcisoft.business.bdiscuss.dto.BDiscussDto;
import org.rcisoft.business.bdiscuss.entity.BDiscuss;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.sys.user.bean.CurUser;

import java.util.List;
import java.util.Map;

/**
 * Created by  on 2019-9-25 9:03:09.
 */
public interface BDiscussService {

    /**
    * 保存 
    * @param bDiscuss
    * @return
    */
    PersistModel save(CurUser curUser, BDiscuss bDiscuss);

    /**
    * 逻辑删除 
    * @param bDiscuss
    * @return
    */
     PersistModel remove(BDiscuss bDiscuss);

    /**
    * 修改 
    * @param bDiscuss
    * @return
    */
    PersistModel merge(BDiscuss bDiscuss);

    /**
    * 根据id查询 
    * @param id
    * @return
    */
    BDiscuss findById(String id);

    /**
    * 分页查询 
    * @param bDiscuss
    * @return
    */
    List<BDiscuss> findAllByPagination(PageUtil<BDiscuss> paginationUtility,
                                       BDiscuss bDiscuss);


    Map getDiscussByLessonId(String lessonId, String corpId);


}
