package org.rcisoft.business.bfile.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

@Data
public class uploadDTO {

    @ApiModelProperty(value = "文件名称")
    @Length(min = 1,max = 256,message = "长度最小为1,最大为200")
    private String fileName;

    @ApiModelProperty(value = "文件路径")
    @Length(min = 1,max = 256,message = "长度最小为1,最大为200")
    private String videoUrl;

    @ApiModelProperty(value = "课件类型（单选） 0视频  1音频  2PPT 3pdf 4word")
    private String type;

    @ApiModelProperty(value = "文件大小")
    private String fileSize;

    @ApiModelProperty(value = "视频/音频时间")
    private String fileTime;

    @ApiModelProperty(value = "pdf切割的数量")
    private String pdfNum;
}
