package org.rcisoft.business.blesson.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import java.util.List;

@Data
public class FirstPageQueryDTO {


    @ApiModelProperty(value = "课程一级分类",required = false)
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    private String courseLevelOne;

    @ApiModelProperty(value = "查询参数",required = false)
    private String viewParam;

    private String userId;

    private String corpId;

    //部门id
    private List<String> departs;

}
