package org.rcisoft.business.blesson.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ILessonCountDTO {

    @ApiModelProperty(value = "我发布全部课程（我教学全部培训）数量")
    private String publishAllCount;

    @ApiModelProperty(value = "我发布未发布课程（我教学未发布培训）数量")
    private String notPublishCount;

    @ApiModelProperty(value = "我发布已发布课程（我教学已发布培训）数量")
    private String publishedCount;

    @ApiModelProperty(value = "我发布已关闭课程（我教学已关闭培训）数量")
    private String closedCount;

    @ApiModelProperty(value = "我学习全部课程数量（我报名全部培训数量）(该培训已报名数量)")
    private String learnAllCount;

    @ApiModelProperty(value = "我学完课程数量（我报名已参加培训数量）(该培训已参加数量)")
    private String finishCount;

    @ApiModelProperty(value = "我未学完课程数量（我报名缺勤培训数量）(该培训缺勤数量)")
    private String notFinishCount;

    @ApiModelProperty(value = "我未开始课程数量（我报名待参加培训数量) (该培训待参加数量)")
    private String notStartCount;


    @ApiModelProperty(value = "0 未开始 1签到中(进行中) 2已结束")
    private String trainType;


}
