package org.rcisoft.business.blesson.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.persistence.*;

/**
* Created with  on 2019-10-10 16:08:10.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "b_recommend_son")
public class BRecommendSon {

     @ApiModelProperty(value = "主键")
     private String businessId;

     @ApiModelProperty(value = "推荐表id")
     private String recommendId;

     @ApiModelProperty(value = "被推荐对象类型（0：人 1：部门）")
     private String type;

     @ApiModelProperty(value = "被推荐 人/部门id")
     private String targetId;

     @ApiModelProperty(value = "排序")
     private String sort;
}

