package org.rcisoft.business.bmessage.service;

import org.rcisoft.business.bmessage.entity.BMessage;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.sys.user.bean.CurUser;

import java.util.List;

/**
 * Created by  on 2019-11-25 10:55:03.
 */
public interface BMessageService {

    /**
    * 保存 
    * @param bMessage
    * @return
    */
    PersistModel save(BMessage bMessage);

    /**
    * 逻辑删除 
    * @param bMessage
    * @return
    */
     PersistModel remove(BMessage bMessage);

    /**
    * 修改 
    * @param bMessage
    * @return
    */
    PersistModel merge(CurUser curUser , BMessage bMessage);

    /**
    * 修改
    * @param bMessage
    * @return
    */
    PersistModel updateSycn(CurUser curUser , BMessage bMessage);

    /**
    * 根据id查询 
    * @param id
    * @return
    */
    BMessage findById(String id);

    /**
    * 分页查询 
    * @param curUser
    * @return
    */
    List<BMessage> findAll(CurUser curUser);




}
