package org.rcisoft.business.bdictionary.service;

import org.rcisoft.business.bdictionary.dto.ColumConfigDTO;
import org.rcisoft.business.bdictionary.entity.BDictionary;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.sys.user.bean.CurUser;

import java.util.List;

/**
 * Created by  on 2019-9-29 16:21:48.
 */
public interface BDictionaryService {

    /**
    * 保存
    * @param bDictionary
    * @return
    */
    PersistModel save(BDictionary bDictionary);

    /**
    * 逻辑删除
    * @param bDictionary
    * @return
    */
     PersistModel remove(BDictionary bDictionary);

//    /**
//    * 修改
//    * @param bDictionary
//    * @return
//    */
//    PersistModel merge(BDictionary bDictionary);
//
//    /**
//    * 根据id查询
//    * @param id
//    * @return
//    */
//    BDictionary findById(String id);

    /**
    * 分页查询 
    * @param curUser
    * @return
    */
    List<BDictionary> findAllColumnConfig(CurUser curUser);


    /**
     * 更新设置
     * @param param
     * @return
     */
    int updateConfiguration(ColumConfigDTO param);


}
