package org.rcisoft.business.blesson.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Transient;

@Data
public class ILearnLessonRspDTO {

    @ApiModelProperty(value = "课程id")
    private String lessonId;

    @ApiModelProperty(value = "课程名")
    private String lessonName;

    @ApiModelProperty(value = "学习进度")
    private String learnProgress;

    @ApiModelProperty(value = "是否学完 0:未学完 1:已学完")
    private String isFinish;

    @ApiModelProperty(value = "选课人数")
    private String personNumber;

    @ApiModelProperty(value = "评论数")
    private String discussNumber;

    @ApiModelProperty(value = "课时数")
    private String classHour;

    @ApiModelProperty(value = "课程时长")
    private String courseTime;

    @ApiModelProperty(value = "封面图片url")
    private String defaultUrl;

    @ApiModelProperty(value = "讲师姓名")
    private String lecturerName;

    @ApiModelProperty(value = "课程类型 0 课程 1 培训")
    private String lessonType;
}
