package org.rcisoft.business.bnotice.service;

import org.rcisoft.business.bnotice.dto.ReadDTO;
import org.rcisoft.business.bnotice.entity.BNotice;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.aop.PageUtil;

import java.util.List;

/**
 * Created by  on 2019-11-28 11:18:34.
 */
public interface BNoticeService {

    /**
    * 保存 
    * @param bNoticeList
    * @return
    */
    PersistModel save(List<BNotice> bNoticeList);

    /**
    * 逻辑删除 
    * @param bNotice
    * @return
    */
     PersistModel remove(BNotice bNotice);

    /**
    * 修改 
    * @param bNotice
    * @return
    */
    PersistModel merge(BNotice bNotice);

    /**
    * 根据id查询 
    * @param id
    * @return
    */
    BNotice findById(String id);

    /**
    * 分页查询 
    * @param bNotice
    * @return
    */
    List<BNotice> findAllByPagination(PageUtil<BNotice> paginationUtility,
                                      BNotice bNotice);


    PersistModel setRead(ReadDTO readDTO);

}
