package org.rcisoft.business.breleasevalue.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

@Data
public class BReleaseValueDto {

    @ApiModelProperty(value = "分组名")
    @Length(max = 20,message = "长度最大为20")
    private String title;

    @ApiModelProperty(value = "主键id")
    private String businessId;

    @ApiModelProperty(value = "发布课程积分")
    @Length(max = 10,message = "长度最大为10")
    private String lessonValue;

    @ApiModelProperty(value = "发布培训积分")
    @Length(max = 10,message = "长度最大为10")
    private String trainValue;

    @ApiModelProperty(value = "用户ids(用 ， 隔开)")
    private String userIds;

    @ApiModelProperty(value = "部门ids(用 ， 隔开)")
    private String deptIds;
}
