package org.rcisoft.business.breleasevalue.entity;

import lombok.*;

import org.rcisoft.business.breleasevalue.dto.UserListDto;
import org.rcisoft.core.entity.IdEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with  on 2019-11-13 13:28:38.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "b_release_value")
public class BReleaseValue  extends IdEntity<BReleaseValue> {

     private String title;

     private String lessonValue;

     private String trainValue;

     private String corpId;

     @Transient
     private List<String> userList;
     @Transient
     private List<UserListDto> userAllList;


}

