package org.rcisoft.sys.role.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;


@Data
public class FindRolePaginDTO {

    @ApiModelProperty(value = "角色名称", required = false, dataType = "varchar")
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    private String roleName;

    @ApiModelProperty(value = "角色编号", required = false, dataType = "varchar")
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    private String code;
}
